Bug 1231871 (CVE-2015-4556) - CVE-2015-4556 chicken: out-of-bounds read in CHICKEN Scheme's string-translate* procedure
Summary: CVE-2015-4556 chicken: out-of-bounds read in CHICKEN Scheme's string-translat...
Status: CLOSED UPSTREAM
Alias: CVE-2015-4556
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150615,repor...
Keywords: Security
Depends On: 1231872 1231873
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 14:13 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:37 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-12 01:29:00 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-06-15 14:13:44 UTC
It was discovered that the string-translate*
procedure from the data-structures unit can scan beyond the input string's
length up to the length of the source strings in the map that's passed to
string-translate*.  This issue was fixed in master 8a46020, and it will
make its way into CHICKEN 4.10.

This bug is present in all released versions of CHICKEN.

Upstream patches:
http://lists.nongnu.org/archive/html/chicken-hackers/2015-06/msg00037.html
http://lists.nongnu.org/archive/html/chicken-hackers/2015-06/txtHKRTbJy12t.txt

CVE request: http://seclists.org/oss-sec/2015/q2/709

Comment 1 Vasyl Kaigorodov 2015-06-15 14:15:11 UTC
Created chicken tracking bugs for this issue:

Affects: fedora-all [bug 1231872]
Affects: epel-all [bug 1231873]

Comment 2 Fedora Update System 2015-06-30 00:08:12 UTC
chicken-4.9.0.1-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-06-30 00:23:12 UTC
chicken-4.9.0.1-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-12-05 20:33:37 UTC
chicken-4.9.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-08-17 23:17:55 UTC
chicken-4.11.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Rick Elrod 2017-05-12 01:29:00 UTC
This has been fixed for a while.


Note You need to log in before you can comment on or make changes to this bug.